varying vec3 normal;
varying vec3 v;
varying vec3 lightvec0;
varying vec3 lightvec1;
varying vec3 lightvec2;

void main()
{

gl_TexCoord[0] = gl_MultiTexCoord0;
	
normal          = normalize(gl_NormalMatrix * gl_Normal);
  v               = vec3(gl_ModelViewMatrix * gl_Vertex);
  lightvec0        = normalize(gl_LightSource[0].position.xyz - v);
  lightvec1        = normalize(gl_LightSource[1].position.xyz - v);
  lightvec2        = normalize(gl_LightSource[2].position.xyz - v);
  
  gl_Position     = gl_ModelViewProjectionMatrix * gl_Vertex;
} 
